# TitlePhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class TitlePhase

#### Hierarchy (View Summary)

- Phase
  - TitlePhase

- Defined in src/phases/title-phase.ts:31

##### Index

### Constructors

constructor

### Properties

gameMode

### Methods

end
initDailyRun
loadSaveSlot
showOptions
start

## Constructors

### constructor

- new TitlePhase(): TitlePhase

  #### Returns TitlePhase

  Overrides Phase.constructor

  - Defined in src/phases/title-phase.ts:36

## Properties

### gameMode

gameMode: GameModes

- Defined in src/phases/title-phase.ts:34

## Methods

### end

- end(): void

  #### Returns void

  Overrides Phase.end

  - Defined in src/phases/title-phase.ts:307

### initDailyRun

- initDailyRun(): void

  #### Returns void

  - Defined in src/phases/title-phase.ts:203

### loadSaveSlot

- loadSaveSlot(slotId: number): void

  #### Parameters

  - slotId: number

  #### Returns void

  - Defined in src/phases/title-phase.ts:183

### showOptions

- showOptions(): void

  #### Returns void

  - Defined in src/phases/title-phase.ts:67

### start

- start(): void

  #### Returns void

  Overrides Phase.start

  - Defined in src/phases/title-phase.ts:42